"""idk lol

Revision ID: 28cfdbde1796
Revises: d4d3f43ce86a
Create Date: 2025-04-19 16:17:07.109451

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision: str = '28cfdbde1796'
down_revision: Union[str, None] = 'd4d3f43ce86a'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    """Upgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('ix_cost_basis_id', table_name='cost_basis')
    op.drop_table('cost_basis')
    op.drop_index('ix_cards_id', table_name='cards')
    op.drop_index('ix_cards_name', table_name='cards')
    op.drop_index('ix_cards_set_name', table_name='cards')
    op.drop_index('ix_cards_tcgplayer_sku', table_name='cards')
    op.drop_table('cards')
    # ### end Alembic commands ###


def downgrade() -> None:
    """Downgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('cards',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('name', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('rarity', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('set_name', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('price', sa.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=True),
    sa.Column('quantity', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('tcgplayer_sku', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('product_line', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('product_name', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('title', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('number', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('condition', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('tcg_market_price', sa.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=True),
    sa.Column('tcg_direct_low', sa.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=True),
    sa.Column('tcg_low_price_with_shipping', sa.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=True),
    sa.Column('tcg_low_price', sa.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=True),
    sa.Column('total_quantity', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('add_to_quantity', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('tcg_marketplace_price', sa.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=True),
    sa.Column('photo_url', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('created_at', postgresql.TIMESTAMP(timezone=True), server_default=sa.text('now()'), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(timezone=True), autoincrement=False, nullable=True),
    sa.PrimaryKeyConstraint('id', name='cards_pkey')
    )
    op.create_index('ix_cards_tcgplayer_sku', 'cards', ['tcgplayer_sku'], unique=True)
    op.create_index('ix_cards_set_name', 'cards', ['set_name'], unique=False)
    op.create_index('ix_cards_name', 'cards', ['name'], unique=False)
    op.create_index('ix_cards_id', 'cards', ['id'], unique=False)
    op.create_table('cost_basis',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('transaction_item_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('sealed_case_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('sealed_box_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('open_box_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('open_card_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('quantity', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('unit_cost', sa.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=False),
    sa.Column('created_at', postgresql.TIMESTAMP(timezone=True), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(timezone=True), autoincrement=False, nullable=True),
    sa.Column('deleted_at', postgresql.TIMESTAMP(timezone=True), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['open_box_id'], ['open_boxes.id'], name='cost_basis_open_box_id_fkey'),
    sa.ForeignKeyConstraint(['open_card_id'], ['open_cards.id'], name='cost_basis_open_card_id_fkey'),
    sa.ForeignKeyConstraint(['sealed_box_id'], ['sealed_boxes.id'], name='cost_basis_sealed_box_id_fkey'),
    sa.ForeignKeyConstraint(['sealed_case_id'], ['sealed_cases.id'], name='cost_basis_sealed_case_id_fkey'),
    sa.ForeignKeyConstraint(['transaction_item_id'], ['transaction_items.id'], name='cost_basis_transaction_item_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='cost_basis_pkey')
    )
    op.create_index('ix_cost_basis_id', 'cost_basis', ['id'], unique=False)
    # ### end Alembic commands ###
